CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2015-7214

Mozilla Firefox before 43.0 and Firefox ESR 38.x before 38.5 allow remote attackers to bypass the Same Origin Policy via data: and view-source: URIs.
Publish Date : 2015-12-16 Last Update Date : 2018-10-30
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Bypass a restriction or similarObtain Information
CWE ID 200

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2015:2657: firefox security update (Critical) oval:com.redhat.rhsa:def:20152657 unix
RHSA-2016:0001: thunderbird security update (Important) oval:com.redhat.rhsa:def:20160001 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2015-7214

# Product Type Vendor Product Version Update Edition Language
1 OS Fedoraproject Fedora 22 Version Details Vulnerabilities
2 OS Fedoraproject Fedora 23 Version Details Vulnerabilities
3 Application Mozilla Firefox 42.0 Version Details Vulnerabilities
4 Application Mozilla Firefox Esr 38.0 Version Details Vulnerabilities
5 Application Mozilla Firefox Esr 38.0.1 Version Details Vulnerabilities
6 Application Mozilla Firefox Esr 38.0.5 Version Details Vulnerabilities
7 Application Mozilla Firefox Esr 38.1.0 Version Details Vulnerabilities
8 Application Mozilla Firefox Esr 38.1.1 Version Details Vulnerabilities
9 Application Mozilla Firefox Esr 38.2.0 Version Details Vulnerabilities
10 Application Mozilla Firefox Esr 38.2.1 Version Details Vulnerabilities
11 Application Mozilla Firefox Esr 38.3.0 Version Details Vulnerabilities
12 Application Mozilla Firefox Esr 38.4.0 Version Details Vulnerabilities
13 OS Opensuse Leap 42.1 Version Details Vulnerabilities
14 OS Opensuse Opensuse 13.1 Version Details Vulnerabilities
15 OS Opensuse Opensuse 13.2 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Fedoraproject Fedora 2
Mozilla Firefox 1
Mozilla Firefox Esr 9
Opensuse Leap 1
Opensuse Opensuse 2

- References For CVE-2015-7214

https://security.gentoo.org/glsa/201512-10
GENTOO GLSA-201512-10
http://www.ubuntu.com/usn/USN-2859-1
UBUNTU USN-2859-1
https://bugzilla.mozilla.org/show_bug.cgi?id=1228950 CONFIRM
http://www.securityfocus.com/bid/79279
BID 79279 Mozilla Firefox Multiple Security Vulnerabilities Release Date:2016-02-23
http://lists.opensuse.org/opensuse-updates/2015-12/msg00104.html
SUSE openSUSE-SU-2015:2353
http://www.oracle.com/technetwork/topics/security/linuxbulletinjan2016-2867209.html CONFIRM
http://www.ubuntu.com/usn/USN-2833-1
UBUNTU USN-2833-1
http://www.securitytracker.com/id/1034426
SECTRACK 1034426
http://www.oracle.com/technetwork/topics/security/linuxbulletinoct2015-2719645.html CONFIRM
http://www.mozilla.org/security/announce/2015/mfsa2015-149.html CONFIRM
http://www.debian.org/security/2016/dsa-3432
DEBIAN DSA-3432
http://www.debian.org/security/2015/dsa-3422
DEBIAN DSA-3422
http://lists.opensuse.org/opensuse-updates/2016-02/msg00007.html
SUSE openSUSE-SU-2016:0307
http://lists.opensuse.org/opensuse-updates/2016-02/msg00008.html
SUSE openSUSE-SU-2016:0308
http://rhn.redhat.com/errata/RHSA-2015-2657.html
REDHAT RHSA-2015:2657
http://lists.opensuse.org/opensuse-security-announce/2015-12/msg00023.html
SUSE SUSE-SU-2015:2336
http://lists.opensuse.org/opensuse-security-announce/2015-12/msg00038.html
SUSE openSUSE-SU-2015:2380
http://lists.opensuse.org/opensuse-security-announce/2015-12/msg00049.html
SUSE openSUSE-SU-2015:2406
http://lists.opensuse.org/opensuse-security-announce/2015-12/msg00022.html
SUSE SUSE-SU-2015:2335
http://lists.opensuse.org/opensuse-security-announce/2015-12/msg00021.html
SUSE SUSE-SU-2015:2334
http://lists.fedoraproject.org/pipermail/package-announce/2015-December/174083.html
FEDORA FEDORA-2015-51b1105902
http://lists.fedoraproject.org/pipermail/package-announce/2015-December/174253.html
FEDORA FEDORA-2015-7ab3d3afcf

- Metasploit Modules Related To CVE-2015-7214

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.